> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mage.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete agent

> Delete an agent YAML file.

Only in Mage Pro.

Try our fully managed solution to access this advanced feature.

[Get started for free](https://cloud.mage.ai/sign-up?source=agents-api)

```http theme={"system"}
DELETE /api/agents/{agent_uuid}
```

Deletes the YAML file under `agents/`. The backing pipeline is not deleted by this endpoint.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.